Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomNode.NodeType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.xml.QDomNode.NodeType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDomNode

    public static final class QDomNode.NodeType

extends java.lang.Enum
implements QtEnumerator

This enum defines the type of the node.

See Also:
  Serialized Form

Field Summary
`static QDomNode.NodeType` | `AttributeNode` Value: AttributeNode
`static QDomNode.NodeType` | `BaseNode` A `QDomNode` object, i.e.
`static QDomNode.NodeType` | `CDATASectionNode` Value: CDATASectionNode
`static QDomNode.NodeType` | `CharacterDataNode` Value: CharacterDataNode
`static QDomNode.NodeType` | `CommentNode` Value: CommentNode
`static QDomNode.NodeType` | `DocumentFragmentNode` Value: DocumentFragmentNode
`static QDomNode.NodeType` | `DocumentNode` Value: DocumentNode
`static QDomNode.NodeType` | `DocumentTypeNode` Value: DocumentTypeNode
`static QDomNode.NodeType` | `ElementNode` Value: ElementNode
`static QDomNode.NodeType` | `EntityNode` Value: EntityNode
`static QDomNode.NodeType` | `EntityReferenceNode` Value: EntityReferenceNode
`static QDomNode.NodeType` | `NotationNode` Value: NotationNode
`static QDomNode.NodeType` | `ProcessingInstructionNode` Value: ProcessingInstructionNode
`static QDomNode.NodeType` | `TextNode` Value: TextNode

Method Summary
`static QDomNode.NodeType` | `resolve(int value)` Returns the NodeType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDomNode.NodeType` | `valueOf(java.lang.String name)`
`static QDomNode.NodeType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ElementNode

    public static final QDomNode.NodeType ElementNode

  Value: ElementNode

### AttributeNode

    public static final QDomNode.NodeType AttributeNode

  Value: AttributeNode

### TextNode

    public static final QDomNode.NodeType TextNode

  Value: TextNode

### CDATASectionNode

    public static final QDomNode.NodeType CDATASectionNode

  Value: CDATASectionNode

### EntityReferenceNode

    public static final QDomNode.NodeType EntityReferenceNode

  Value: EntityReferenceNode

### EntityNode

    public static final QDomNode.NodeType EntityNode

  Value: EntityNode

### ProcessingInstructionNode

    public static final QDomNode.NodeType ProcessingInstructionNode

  Value: ProcessingInstructionNode

### CommentNode

    public static final QDomNode.NodeType CommentNode

  Value: CommentNode

### DocumentNode

    public static final QDomNode.NodeType DocumentNode

  Value: DocumentNode

### DocumentTypeNode

    public static final QDomNode.NodeType DocumentTypeNode

  Value: DocumentTypeNode

### DocumentFragmentNode

    public static final QDomNode.NodeType DocumentFragmentNode

  Value: DocumentFragmentNode

### NotationNode

    public static final QDomNode.NodeType NotationNode

  Value: NotationNode

### BaseNode

    public static final QDomNode.NodeType BaseNode

  A `QDomNode` object, i.e. not a `QDomNode` subclass.

### CharacterDataNode

    public static final QDomNode.NodeType CharacterDataNode

  Value: CharacterDataNode

Method Detail

### values

    public static QDomNode.NodeType[] values()

### valueOf

    public static QDomNode.NodeType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDomNode.NodeType resolve(int value)

  Returns the NodeType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD